import {Component, EventEmitter, HostBinding, Input, Output} from '@angular/core';

@Component({
  selector: 'app-home-card',
  templateUrl: './home-card.component.html',
  styleUrls: ['./home-card.component.scss']
})
export class HomeCardComponent {
  @Input() background: string = '';
  @Output() action = new EventEmitter<any>();

  @HostBinding('attr.size') @Input() size: 'small' | 'medium' | 'large' = 'small';

  onClick() {
    console.log('on click')
  }

  triggerAction() {
    this.action.emit();
  }
}
